## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 27
%bcond check 1
%global debug_package %{nil}

%global crate gvdb

Name:           rust-gvdb
Version:        0.6.1
Release:        %autorelease
Summary:        Read and write GLib GVariant database files

License:        MIT
URL:            https://crates.io/crates/gvdb
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * bump glib dependency from 0.19 to 0.20
Patch:          gvdb-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Read and write GLib GVariant database files.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE.Icons.md
%license %{crate_instdir}/LICENSE.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+glib-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+glib-devel %{_description}

This package contains library source intended for building other packages which
use the "glib" feature of the "%{crate}" crate.

%files       -n %{name}+glib-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+gresource-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+gresource-devel %{_description}

This package contains library source intended for building other packages which
use the "gresource" feature of the "%{crate}" crate.

%files       -n %{name}+gresource-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+mmap-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+mmap-devel %{_description}

This package contains library source intended for building other packages which
use the "mmap" feature of the "%{crate}" crate.

%files       -n %{name}+mmap-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires -a

%build
%cargo_build -a

%install
%cargo_install -a

%if %{with check}
%check
%cargo_test -a
%endif

%changelog
## START: Generated by rpmautospec
* Sun Mar 30 2025 Fabio Valentini <decathorpe@gmail.com> - 0.6.1-4
- Bump glib dependency from 0.19 to 0.20 instead of dropping it

* Sun Mar 30 2025 Fabio Valentini <decathorpe@gmail.com> - 0.6.1-3
- Drop unused GLib support

* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Mon Sep 23 2024 Fabio Valentini <decathorpe@gmail.com> - 0.6.1-1
- Update to version 0.6.1

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 14 2024 Fabio Valentini <decathorpe@gmail.com> - 0.5.3-1
- Update to version 0.5.3; Fixes RHBZ#2252594

* Wed Aug 30 2023 Kalev Lember <klember@redhat.com> - 0.5.2-1
- Update to 0.5.2 (rhbz#2235902)
- Drop test-data exclusion now that upstream has clarified the licensing
- Re-enable tests on s390x

* Mon Aug 21 2023 Kalev Lember <klember@redhat.com> - 0.5.1-3
- Exclude test-data directory that has unclear licensing (rhbz#2230729)

* Mon Aug 21 2023 Kalev Lember <klember@redhat.com> - 0.5.1-2
- Disable tests on s390x

* Mon Aug 21 2023 Kalev Lember <klember@redhat.com> - 0.5.1-1
- Update to 0.5.1

* Mon Aug 21 2023 Kalev Lember <klember@redhat.com> - 0.4.1-1
- Initial Fedora packaging (rhbz#2230729)
## END: Generated by rpmautospec
